import type { Node } from 'prosemirror-model';
import type { EditorView, NodeView } from 'prosemirror-view';
import type { MermaidOptions } from "../index.js";
export declare class WMermaidNodeView implements NodeView {
    readonly dom: HTMLElement;
    private node;
    private readonly view;
    private readonly getPos;
    private readonly renderItem;
    private readonly loadRuntimeScript;
    private readonly options;
    constructor(node: Node, view: EditorView, getPos: () => number | undefined, opts: MermaidOptions);
    initializeMermaid(): void;
    update(node: Node): boolean;
    destroy(): void;
    ignoreMutation(): boolean;
    stopEvent(e: Event): boolean;
    private validateEntityId;
    private onChange;
    private getMermaidInstance;
    private renderMermaid;
}
